﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using System.Collections.ObjectModel;

// La plantilla de elemento Página en blanco está documentada en https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0xc0a

namespace Proyecto23
{
    /// <summary>
    /// Página vacía que se puede usar de forma independiente o a la que se puede navegar dentro de un objeto Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        private ObservableCollection<Pais> paises = new ObservableCollection<Pais>();
        private string paisAdivinar;

        public MainPage()
        {
            this.InitializeComponent();
            cargarListView();
            iniciarJuego();
            paisBuscar();
        }

        private void cargarListView()
        {
            paises.Add(new Pais { Nombre = "Argentina", Archivo = "Assets/argentina.png" });
            paises.Add(new Pais { Nombre = "Chile", Archivo = "Assets/chile.png" });
            paises.Add(new Pais { Nombre = "Bolivia", Archivo = "Assets/bolivia.png" });
            paises.Add(new Pais { Nombre = "Perú", Archivo = "Assets/peru.png" });
            paises.Add(new Pais { Nombre = "Ecuador", Archivo = "Assets/ecuador.png" });
            paises.Add(new Pais { Nombre = "Paraguay", Archivo = "Assets/paraguay.png" });
            paises.Add(new Pais { Nombre = "Uruguay", Archivo = "Assets/uruguay.png" });
            paises.Add(new Pais { Nombre = "Brasil", Archivo = "Assets/brasil.png" });
            paises.Add(new Pais { Nombre = "Venezuela", Archivo = "Assets/venezuela.png" });
            paises.Add(new Pais { Nombre = "Colombia", Archivo = "Assets/colombia.png" });
            paises.Add(new Pais { Nombre = "Surinam", Archivo = "Assets/surinam.png" });
            paises.Add(new Pais { Nombre = "Guyana", Archivo = "Assets/guyana.png" });
            paises.Add(new Pais { Nombre = "Guyana Francesa", Archivo = "Assets/guyanafrancesa.png" });
            listView1.ItemsSource = paises;
        }

        private void iniciarJuego()
        {
            aciertos.Text = "0";
            errores.Text = "0";
        }

        private void paisBuscar()
        {
            int aleatorio = new Random().Next(paises.Count);
            paisAdivinar = paises[aleatorio].Nombre;
            paisbus.Text = paisAdivinar;
        }

        private void listView1_ItemClick(object sender, ItemClickEventArgs e)
        {
            Pais paisSeleccionado = (Pais)(e.ClickedItem);
            if (paisSeleccionado.Nombre == paisAdivinar)
                aciertos.Text = (int.Parse(aciertos.Text) + 1).ToString();
            else
                errores.Text = (int.Parse(errores.Text) + 1).ToString();
            paisBuscar();
        }
    }
}
